'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.operate = operate;

var _mark = require('../models/mark');

var _mark2 = _interopRequireDefault(_mark);

var _character = require('../models/character');

var _character2 = _interopRequireDefault(_character);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Perform an operation with `properties`.
 *
 * @param {Transform} transform
 * @param {Object} operation
 * @return {Transform}
 */

function operate(transform, operation) {
  var type = operation.type;
  var state = transform.state;
  var _state = state;
  var document = _state.document;
  var selection = _state.selection;


  switch (type) {

    case 'update-selection':
      {
        var properties = operation.properties;

        selection = selection.merge(properties);
        break;
      }

    default:
      {
        throw new Error('Invalid transform operation: "' + type + '".');
      }

  }

  state = state.merge({ document: document, selection: selection });
  transform.state = state;
  transform.operations.push(operation);
  return transform;
}